Subject: bug#31742: 26.1.50; excorporate.elc byte-compiled in Emacs 25.x fails in Emacs 26.1

From: Thomas Fitzsimmons <[email-masked]>
Date: Sun, 17 Jun 2018 09:02:41 -0400

Hi Alex,

I pushed the patch and the 3.1.4 tag to
https://github.com/alex-hhh/emacs-soap-client.git so at least everything
is consistent again, except that the ELPA page doesn't point to
"Homepage".  I think that's a bug in GNU ELPA's generation scripts
though -- can you file a bug report for this?

As for repository organization, I'm fine with things as-is, I just have
to remember to push to GitHub anytime I push to emacs.git.

Right now the history is almost the same between emacs.git and
emacs-soap-client.git, and the files on the master branches are
identical.

Maybe in the future when elpa.git and emacs.git integration is better we
can use the elpa.git-separate-branch approach, and emacs.git will
automatically clone elpa.git as a submodule and everything will work in
core and for GNU ELPA updates.

In fact, soap-client is probably a good non-trivial package to
experiment with different Git organization approaches for such
core-and-GNU-ELPA packages.  There was a thread on emacs-devel about
this recently, in the context of adding BBDB to core.  I'm not working
on this Git integration effort directly right now, but I think some
people are from time to time.

Thomas

Alex Harsanyi <[email-masked]> writes:

> Hi Thomas,
>
> I was not aware that the soap-client.el in the GNU Emacs source has been
> updated -- the maintainers at the time wanted a version that just worked with
> debbugs, and put the most recent version in ELPA.
>
> There are two inconsistencies with the current system, which can cause some
> confusion:
>
> * the soap-client web page on elpa.gnu.org has a link to the elpa.git
>   repository, but there is nothing there (the CGit and Gitweb links):
>   http://elpa.gnu.org/packages/soap-client.html
>
> * in the GNU Emacs source code, soap-client.el has a "Homepage" link that
>   points back to my GitHub repository, which is now out of date.
>
> I think we need to decide on where to keep the "official" development history
> for this package.  As I see it, there are a few options:
>
> * Keep it on GitHub, where it is now.  In this case, I think you should push
>   the patch and the 3.1.4 tag there, and the ELPA links need to be fixed.
>
> * Import it into elpa.git, as a separate branch (I see other packages are
>   maintained like that).  In this case, the "Homepage" link should be updated
>   to point to this source.
>
> * Keep it in the GNU Emacs source tree (this will loose the git history, but
>   maybe it is not important).  In this case the, both the "Homepage" link and
>   the ELPA web page should be updated.
>
> I have no strong preference for either option, apart for making it easier for
> people to know where to go for the package source.  If the GitHub repository
> is no longer the latest source code, I can archive it and point to the new
> location.
>
>
> Alex.
>
> On Sun, Jun 17, 2018 at 8:36 AM, Thomas Fitzsimmons <[email-masked]> wrote:
>> Alex Harsanyi <[email-masked]> writes:
>>
>>> On Tue, Jun 12, 2018 at 9:55 AM, Thomas Fitzsimmons <[email-masked]> wrote:
>>>
>>>> I added the comment, bumped the soap-client version to 3.1.4 and pushed
>>>> the patch to master so that GNU ELPA will be regenerated tonight.  I
>>>> also backported the patch to the emacs-26 branch since it fixes a
>>>> functional regression.
>>>
>>> Hi Thomas,
>>>
>>> Can you let me know where did you push the soap-client changes?
>>>
>>> I can see that the package was released at gnu.elpa.org, but the
>>> changes were not pushed either to the elpa.git repository at
>>> https://git.savannah.gnu.org/git/emacs/elpa.git, or to my own copy of
>>> it at https://github.com/alex-hhh/emacs-soap-client.
>>
>> I pushed it to the emacs.git master and emacs-26 branches:
>>
>> http://git.savannah.gnu.org/cgit/emacs.git/commit/?id=1feb2e221349f26ec26bc684e0cce2acecbed3ca
>>
>> GNU ELPA pulls soap-client.el and soap-inspect.el from emacs.git's
>> master branch.
>>
>> Let me know if you also want me to push the patch to
>> https://github.com/alex-hhh/emacs-soap-client.
>>
>> Thomas